=== modified file 'TODO.txt'
--- TODO.txt	2006-09-27 17:56:26 +0000
+++ TODO.txt	2006-09-27 21:05:19 +0000
@@ -3,4 +3,9 @@
 
 - Use networkmanager to figure out whether to do local or bound commits  
   in case of bound branches/checkouts.
+- Strict commit should not be a checkbox. The GUI should rather ask the 
+  user whether (s)he wants to continue if there were no changes.
+- Commit with unknowns should not be a checkbox. The GUI should rather ask 
+  the user whether (s)he wants to continue while there were unknown files.
+- It should be possible to add unknown files from the commit dialog.
 - Generic wrapper that displays dialogs for bzr exceptions

=== modified file 'olive.glade'
--- olive.glade	2006-09-27 18:08:35 +0000
+++ olive.glade	2006-09-27 21:05:19 +0000
@@ -664,7 +664,7 @@
   <property name="width_request">400</property>
   <property name="height_request">400</property>
   <property name="title" translatable="yes">Olive - Commit</property>
-  <property name="type">GTK_WINDOW_POPUP</property>
+  <property name="type">GTK_WINDOW_TOPLEVEL</property>
   <property name="window_position">GTK_WIN_POS_NONE</property>
   <property name="modal">False</property>
   <property name="resizable">True</property>
@@ -679,7 +679,7 @@
   <property name="urgency_hint">False</property>
   <property name="has_separator">True</property>
 
-  <child>
+  <child internal-child="vbox">
     <widget class="GtkVBox" id="vbox_commit">
       <property name="visible">True</property>
       <property name="homogeneous">False</property>
@@ -894,7 +894,7 @@
 	</packing>
       </child>
 
-      <child>
+      <child internal-child="action_area">
 	<widget class="GtkHButtonBox" id="hbuttonbox_commit">
 	  <property name="visible">True</property>
 	  <property name="layout_style">GTK_BUTTONBOX_END</property>
@@ -1017,7 +1017,7 @@
   <property name="urgency_hint">False</property>
   <property name="has_separator">True</property>
 
-  <child>
+  <child internal-child="vbox">
     <widget class="GtkVBox" id="vbox_branch">
       <property name="visible">True</property>
       <property name="homogeneous">False</property>
@@ -1184,7 +1184,7 @@
 	</packing>
       </child>
 
-      <child>
+      <child internal-child="action_area">
 	<widget class="GtkHButtonBox" id="hbuttonbox_branch">
 	  <property name="visible">True</property>
 	  <property name="layout_style">GTK_BUTTONBOX_END</property>
@@ -1320,7 +1320,7 @@
   <property name="urgency_hint">False</property>
   <property name="has_separator">True</property>
 
-  <child>
+  <child internal-child="vbox">
     <widget class="GtkVBox" id="vbox_add">
       <property name="visible">True</property>
       <property name="homogeneous">False</property>
@@ -1390,7 +1390,7 @@
 	</packing>
       </child>
 
-      <child>
+      <child internal-child="action_area">
 	<widget class="GtkHButtonBox" id="hbuttonbox_add">
 	  <property name="visible">True</property>
 	  <property name="layout_style">GTK_BUTTONBOX_END</property>
@@ -1513,7 +1513,7 @@
   <property name="urgency_hint">False</property>
   <property name="has_separator">True</property>
 
-  <child>
+  <child internal-child="vbox">
     <widget class="GtkVBox" id="vbox_remove">
       <property name="visible">True</property>
       <property name="homogeneous">False</property>
@@ -1583,7 +1583,7 @@
 	</packing>
       </child>
 
-      <child>
+      <child internal-child="action_area">
 	<widget class="GtkHButtonBox" id="hbuttonbox_remove">
 	  <property name="visible">True</property>
 	  <property name="layout_style">GTK_BUTTONBOX_END</property>
@@ -1706,7 +1706,7 @@
   <property name="urgency_hint">False</property>
   <property name="has_separator">True</property>
 
-  <child>
+  <child internal-child="vbox">
     <widget class="GtkVBox" id="vbox_push">
       <property name="visible">True</property>
       <property name="homogeneous">False</property>
@@ -1905,7 +1905,7 @@
 	</packing>
       </child>
 
-      <child>
+      <child internal-child="action_area">
 	<widget class="GtkHButtonBox" id="hbuttonbox_push">
 	  <property name="visible">True</property>
 	  <property name="layout_style">GTK_BUTTONBOX_END</property>
@@ -2041,7 +2041,7 @@
   <property name="urgency_hint">False</property>
   <property name="has_separator">True</property>
 
-  <child>
+  <child internal-child="vbox">
     <widget class="GtkVBox" id="vbox_checkout">
       <property name="visible">True</property>
       <property name="homogeneous">False</property>
@@ -2230,7 +2230,7 @@
 	</packing>
       </child>
 
-      <child>
+      <child internal-child="action_area">
 	<widget class="GtkHButtonBox" id="hbuttonbox_checkout">
 	  <property name="visible">True</property>
 	  <property name="layout_style">GTK_BUTTONBOX_END</property>
@@ -2354,7 +2354,7 @@
   <property name="urgency_hint">False</property>
   <property name="has_separator">True</property>
 
-  <child>
+  <child internal-child="vbox">
     <widget class="GtkVBox" id="vbox_status">
       <property name="visible">True</property>
       <property name="homogeneous">False</property>
@@ -2390,7 +2390,7 @@
 	</packing>
       </child>
 
-      <child>
+      <child internal-child="action_area">
 	<widget class="GtkHButtonBox" id="hbuttonbox_status">
 	  <property name="visible">True</property>
 	  <property name="layout_style">GTK_BUTTONBOX_END</property>
@@ -2438,7 +2438,7 @@
   <property name="urgency_hint">False</property>
   <property name="has_separator">True</property>
 
-  <child>
+  <child internal-child="vbox">
     <widget class="GtkVBox" id="vbox_mkdir">
       <property name="visible">True</property>
       <property name="homogeneous">False</property>
@@ -2483,7 +2483,7 @@
 	</packing>
       </child>
 
-      <child>
+      <child internal-child="action_area">
 	<widget class="GtkHButtonBox" id="hbuttonbox_mkdir">
 	  <property name="visible">True</property>
 	  <property name="layout_style">GTK_BUTTONBOX_END</property>
@@ -2606,7 +2606,7 @@
   <property name="urgency_hint">False</property>
   <property name="has_separator">True</property>
 
-  <child>
+  <child internal-child="vbox">
     <widget class="GtkVBox" id="vbox_move">
       <property name="visible">True</property>
       <property name="homogeneous">False</property>
@@ -2789,7 +2789,7 @@
   <property name="urgency_hint">False</property>
   <property name="has_separator">True</property>
 
-  <child>
+  <child internal-child="vbox">
     <widget class="GtkVBox" id="vbox_rename">
       <property name="visible">True</property>
       <property name="homogeneous">False</property>
@@ -2975,7 +2975,7 @@
   <property name="urgency_hint">False</property>
   <property name="has_separator">True</property>
 
-  <child>
+  <child internal-child="vbox">
     <widget class="GtkVBox" id="vbox_info">
       <property name="visible">True</property>
       <property name="homogeneous">False</property>
@@ -5226,7 +5226,7 @@
 	</packing>
       </child>
 
-      <child>
+      <child internal-child="action_area">
 	<widget class="GtkHButtonBox" id="hbuttonbox_info">
 	  <property name="visible">True</property>
 	  <property name="can_default">True</property>
@@ -5276,7 +5276,7 @@
   <property name="urgency_hint">False</property>
   <property name="has_separator">True</property>
 
-  <child>
+  <child internal-child="vbox">
     <widget class="GtkVBox" id="vbox_bookmark">
       <property name="visible">True</property>
       <property name="homogeneous">False</property>
@@ -5397,7 +5397,7 @@
 	</packing>
       </child>
 
-      <child>
+      <child internal-child="action_area">
 	<widget class="GtkHButtonBox" id="hbuttonbox_bookmark">
 	  <property name="visible">True</property>
 	  <property name="layout_style">GTK_BUTTONBOX_END</property>
@@ -5439,5 +5439,4 @@
     </widget>
   </child>
 </widget>
-
 </glade-interface>

=== modified file 'olive/__init__.py'
--- olive/__init__.py	2006-09-27 20:30:59 +0000
+++ olive/__init__.py	2006-09-27 21:05:19 +0000
@@ -136,9 +136,6 @@
         
     def _load_left(self):
         """ Load data into the left panel. (Bookmarks) """
-        # set cursor to busy
-        self.comm.set_busy(self.treeview_left)
-        
         # Create TreeStore
         treestore = gtk.TreeStore(str, str)
         
@@ -164,15 +161,10 @@
         # Expand the tree
         self.treeview_left.expand_all()
 
-        self.comm.set_busy(self.treeview_left, False)
-        
     def _load_right(self):
         """ Load data into the right panel. (Filelist) """
         from bzrlib.workingtree import WorkingTree
         
-        # set cursor to busy
-        self.comm.set_busy(self.treeview_right)
-        
         # Create ListStore
         liststore = gtk.ListStore(str, str, str)
         
@@ -315,9 +307,6 @@
             self.comm.toolbutton_pull.set_sensitive(False)
             self.comm.toolbutton_push.set_sensitive(False)
         
-        # set cursor to default
-        self.comm.set_busy(self.treeview_right, False)
-
 class OliveCommunicator:
     """ This class is responsible for the communication between the different
     modules. """
@@ -410,8 +399,6 @@
     
     def refresh_left(self):
         """ Refresh the bookmark list. """
-        # set cursor to busy
-        self.set_busy(self.treeview_left)
         
         # Get TreeStore and clear it
         treestore = self.treeview_left.get_model()
@@ -432,20 +419,15 @@
         # Expand the tree
         self.treeview_left.expand_all()
 
-        self.set_busy(self.treeview_left, False)
-
     def refresh_right(self, path=None):
         """ Refresh the file list. """
         from bzrlib.workingtree import WorkingTree
 
-        self.set_busy(self.treeview_right)
-
         if path is None:
             path = self.get_path()
 
         # A workaround for double-clicking Bookmarks
         if not os.path.exists(path):
-            self.set_busy(self.treeview_right, False)
             return
 
         # Get ListStore and clear it
@@ -576,8 +558,6 @@
             self.toolbutton_pull.set_sensitive(False)
             self.toolbutton_push.set_sensitive(False)
 
-        self.set_busy(self.treeview_right, False)
-
     def set_busy(self, widget, busy=True):
         if busy:
             widget.window.set_cursor(gtk.gdk.Cursor(gtk.gdk.WATCH))

=== modified file 'olive/add.py'
--- olive/add.py	2006-09-27 20:30:59 +0000
+++ olive/add.py	2006-09-27 21:05:19 +0000
@@ -64,7 +64,6 @@
             if filename is None:
                 error_dialog(_('No file was selected'),
                                          _('Please select a file from the list,\nor choose the other option.'))
-                self.comm.set_busy(self.window, False)
                 return
             
             try:
@@ -72,7 +71,6 @@
             except errors.NotBranchError:
                 error_dialog(_('Directory is not a branch'),
                                          _('You can perform this action only in a branch.'))
-                self.comm.set_busy(self.window, False)
                 return
         elif radio_unknown.get_active():
             # Add unknown files recursively
@@ -81,14 +79,9 @@
             except errors.NotBranchError:
                 error_dialog(_('Directory is not a branch'),
                                          _('You can perform this action only in a branch.'))
-                self.comm.set_busy(self.window, False)
                 return
-        else:
-            # This should really never happen.
-            pass
         
         self.close()
-        self.comm.refresh_right()
     
     def close(self, widget=None):
         self.window.destroy()

=== modified file 'olive/bookmark.py'
--- olive/bookmark.py	2006-09-27 19:52:46 +0000
+++ olive/bookmark.py	2006-09-27 21:05:19 +0000
@@ -32,9 +32,6 @@
         """ Initialize the Edit bookmark dialog. """
         self.glade = gtk.glade.XML(gladefile, 'window_bookmark', 'olive-gtk')
         
-        # Communication object
-        self.comm = comm
-        
         self.window = self.glade.get_widget('window_bookmark')
         
         # Dictionary for signal_autoconnect
@@ -65,7 +62,6 @@
                                           self.entry_title.get_text())
         
         self.close()
-        self.comm.refresh_left()
     
     def close(self, widget=None):
         self.window.destroy()

=== modified file 'olive/checkout.py'
--- olive/checkout.py	2006-09-27 20:30:59 +0000
+++ olive/checkout.py	2006-09-27 21:05:19 +0000
@@ -70,7 +70,6 @@
         checkbutton_lightweight = self.glade.get_widget('checkbutton_checkout_lightweight')
         lightweight = checkbutton_lightweight.get_active()
         
-        self.comm.set_busy(self.window)
         try:
             source = Branch.open(location)
             
@@ -111,17 +110,14 @@
         except errors.NotBranchError, errmsg:
             error_dialog(_('Location is not a branch'),
                                      _('The specified location has to be a branch.'))
-            self.comm.set_busy(self.window, False)
             return
         except errors.TargetAlreadyExists, errmsg:
             error_dialog(_('Target already exists'),
                                      _('Target directory (%s)\nalready exists. Please select another target.') % errmsg)
-            self.comm.set_busy(self.window, False)
             return
         except errors.NonExistingParent, errmsg:
             error_dialog(_('Non existing parent directory'),
                                      _("The parent directory (%s)\ndoesn't exist.") % errmsg)
-            self.comm.set_busy(self.window, False)
             return
         
         self.close()

=== modified file 'olive/commit.py'
--- olive/commit.py	2006-09-27 20:30:59 +0000
+++ olive/commit.py	2006-09-27 21:05:19 +0000
@@ -121,7 +121,6 @@
             it = self.file_store.iter_next(it)
 
         return ret
-    # end of bzr-gtk code
     
     def _toggle_commit(self, cell, path, model):
         model[path][0] = not model[path][0]
@@ -175,7 +174,6 @@
             return
         
         self.close()
-        self.comm.refresh_right()
         
     def close(self, widget=None):
         self.window.destroy()

=== modified file 'olive/handler.py'
--- olive/handler.py	2006-09-27 20:30:59 +0000
+++ olive/handler.py	2006-09-27 21:05:19 +0000
@@ -68,40 +68,33 @@
     def on_menuitem_branch_missing_revisions_activate(self, widget):
         """ Branch/Missing revisions menu handler. """
         
-        self.comm.set_busy(self.comm.window_main)
-        
-        try:
-            import bzrlib
-            
-            local_branch = self.wt.branch
-            
-            other_branch = local_branch.get_parent()
-            if other_branch is None:
-                error_dialog(_('Parent location is unknown'),
-                                         _('Cannot determine missing revisions if no parent location is known.'))
-                return
-            
-            remote_branch = Branch.open(other_branch)
-            
-            if remote_branch.base == local_branch.base:
-                remote_branch = local_branch
-
-            ret = len(local_branch.missing_revisions(remote_branch))
-
-            if ret > 0:
-                info_dialog(_('There are missing revisions'),
-                                        _('%d revision(s) missing.') % ret)
-            else:
-                info_dialog(_('Local branch up to date'),
-                                        _('There are no missing revisions.'))
-        finally:
-            self.comm.set_busy(self.comm.window_main, False)
-    
+        import bzrlib
+        
+        local_branch = self.wt.branch
+        
+        other_branch = local_branch.get_parent()
+        if other_branch is None:
+            error_dialog(_('Parent location is unknown'),
+                                     _('Cannot determine missing revisions if no parent location is known.'))
+            return
+        
+        remote_branch = Branch.open(other_branch)
+        
+        if remote_branch.base == local_branch.base:
+            remote_branch = local_branch
+
+        ret = len(local_branch.missing_revisions(remote_branch))
+
+        if ret > 0:
+            info_dialog(_('There are missing revisions'),
+                                    _('%d revision(s) missing.') % ret)
+        else:
+            info_dialog(_('Local branch up to date'),
+                                    _('There are no missing revisions.'))
+
     def on_menuitem_branch_pull_activate(self, widget):
         """ Branch/Pull menu handler. """
         
-        self.comm.set_busy(self.comm.window_main)
-
         branch_to = self.wt.branch
 
         location = branch_to.get_parent()
@@ -209,14 +202,15 @@
     def on_menuitem_stats_infos_activate(self, widget):
         """ Statistics/Informations... menu handler. """
         from info import OliveInfo
-        info = OliveInfo(self.comm)
+        info = OliveInfo(self.wt)
         info.display()
     
     def on_menuitem_stats_log_activate(self, widget):
         """ Statistics/Log... menu handler. """
-        from log import OliveLog
-        log = OliveLog(self.comm)
-        log.display()
+        from bzrlib.plugins.gtk.viz.branchwin import BranchWindow
+        window = BranchWindow()
+        window.set_branch(self.wt.branch, self.wt.branch.last_revision(), None)
+        window.show()
     
     def on_menuitem_view_refresh_activate(self, widget):
         """ View/Refresh menu handler. """
@@ -256,10 +250,8 @@
         if newdir == None:
             return
 
-        self.comm.set_busy(treeview)
         self.comm.set_path(newdir)
         self.comm.refresh_right()
-        self.comm.set_busy(treeview, False)
     
     def on_treeview_right_button_press_event(self, widget, event):
         """ Occurs when somebody right-clicks in the file list. """

=== modified file 'olive/info.py'
--- olive/info.py	2006-09-27 19:52:46 +0000
+++ olive/info.py	2006-09-27 21:05:19 +0000
@@ -144,20 +144,17 @@
 
 class OliveInfo:
     """ Display Informations window and perform the needed actions. """
-    def __init__(self, comm):
+    def __init__(self, wt):
         """ Initialize the Informations window. """
         self.glade = gtk.glade.XML(gladefile, 'window_info', 'olive-gtk')
         
-        # Communication object
-        self.comm = comm
-        
         # Get the Informations window widget
         self.window = self.glade.get_widget('window_info')
         
         # Check if current location is a branch
         self.notbranch = False
         try:
-            self.ret = info(self.comm.get_path())
+            self.ret = info(wt.basedir)
         except errors.NotBranchError:
             self.notbranch = True
             return

=== removed file 'olive/log.py'
--- olive/log.py	2006-09-27 20:30:59 +0000
+++ olive/log.py	1970-01-01 00:00:00 +0000
@@ -1,60 +0,0 @@
-# Copyright (C) 2006 by Szilveszter Farkas (Phanatic) <szilveszter.farkas@gmail.com>
-#
-# This program is free software; you can redistribute it and/or modify
-# it under the terms of the GNU General Public License as published by
-# the Free Software Foundation; either version 2 of the License, or
-# (at your option) any later version.
-#
-# This program is distributed in the hope that it will be useful,
-# but WITHOUT ANY WARRANTY; without even the implied warranty of
-# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
-# GNU General Public License for more details.
-#
-# You should have received a copy of the GNU General Public License
-# along with this program; if not, write to the Free Software
-# Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
-
-import sys
-
-try:
-    import pygtk
-    pygtk.require("2.0")
-except:
-    pass
-import gtk
-import gtk.glade
-import gobject
-import pango
-
-from bzrlib.branch import Branch
-import bzrlib.errors as errors
-
-from bzrlib.plugins.gtk.viz.branchwin import BranchWindow
-
-from dialog import error_dialog
-
-from olive import gladefile
-
-class OliveLog:
-    """ Display Log (bzrk) window and perform the needed actions. """
-    def __init__(self, comm):
-        """ Initialize the Log (bzrk) window. """
-
-        # Communication object
-        self.comm = comm
-        
-        # Check if current location is a branch
-        self.notbranch = False
-        try:
-            (self.branch, path) = Branch.open_containing(self.comm.get_path())
-        except errors.NotBranchError:
-            self.notbranch = True
-            return
-        
-        self.revid = self.branch.last_revision()
-
-    def display(self):
-		""" Display the Log (bzrk) window. """
-		window = BranchWindow()
-		window.set_branch(self.branch, self.revid, None)
-		window.show()

=== modified file 'olive/push.py'
--- olive/push.py	2006-09-27 20:30:59 +0000
+++ olive/push.py	2006-09-27 21:05:19 +0000
@@ -115,7 +115,6 @@
     
     def push(self, widget):
         revs = 0
-        self.comm.set_busy(self.window)
         if self.radio_stored.get_active():
             try:
                 revs = do_push(self.comm.get_path(),
@@ -143,12 +142,10 @@
             except errors.NotBranchError:
                 error_dialog(_('Directory is not a branch'),
                                          _('You can perform this action only in a branch.'))
-                self.comm.set_busy(self.window, False)
                 return
             except errors.DivergedBranches:
                 error_dialog(_('Branches have been diverged'),
                                          _('You cannot push if branches have diverged. Use the\noverwrite option if you want to push anyway.'))
-                self.comm.set_busy(self.window, False)
                 return
         
         self.close()
@@ -271,7 +268,5 @@
                 count = br_to.pull(br_from, overwrite)
             else:
                 count = tree_to.pull(br_from, overwrite)
-        except errors.DivergedBranches:
-            raise
     
     return count

=== modified file 'olive/remove.py'
--- olive/remove.py	2006-09-27 20:30:59 +0000
+++ olive/remove.py	2006-09-27 21:05:19 +0000
@@ -36,9 +36,6 @@
         """ Initialize the Remove file(s) dialog. """
         self.glade = gtk.glade.XML(gladefile, 'window_remove')
         
-        # Communication object
-        self.comm = comm
-        
         self.window = self.glade.get_widget('window_remove')
         
         # Dictionary for signal_autoconnect
@@ -85,7 +82,6 @@
             except errors.NotBranchError:
                 error_dialog(_('Directory is not a branch'),
                                          _('You can perform this action only in a branch.'))
-                self.comm.set_busy(self.window, False)
                 return
             
             added = wt.changes_from(wt.basis_tree()).added
@@ -93,12 +89,10 @@
             if len(file_list) == 0:
                 dialog.warning_dialog(_('No matching files'),
                                       _('No added files were found in the working tree.'))
-                self.comm.set_busy(self.window, False)
                 return
             wt.remove(file_list)
         
         self.close()
-        self.comm.refresh_right()
     
     def close(self, widget=None):
         self.window.destroy()

=== modified file 'olive/ui.py'
--- olive/ui.py	2006-09-27 17:56:26 +0000
+++ olive/ui.py	2006-09-27 21:05:19 +0000
@@ -63,7 +63,7 @@
 
 
 class GtkUIFactory(UIFactory):
-    """A UI factory for GTK user interefaces."""
+    """A UI factory for GTK user interfaces."""
 
     def __init__(self,
                  bar_type=None,

